Subject: [PATCHv3 RESEND 0/6] ARM: sunxi: Add support for A10 Ethernet controller

From: [email-masked] (Maxime Ripard)
Date: Thu, 30 May 2013 10:11:29 +0200

Hi Richard,

On Wed, May 29, 2013 at 08:15:49PM +0200, Richard Genoud wrote:
> 2013/5/24 Maxime Ripard <[email-masked]>:
> I tested it successfully on cubieboard 1GB, on top of kernel 3.10-rc3,
> nfsroot (debian wheezy)
> I also added in sun4i-a10-cubieboard.dts
> phy0: ethernet-phy at 0 {
>  reg = <1>;
> },
> like Emilio suggested.
> 
> running an iperf, there's some good perfs !
> iperf -s
> ------------------------------------------------------------
> Server listening on TCP port 5001
> TCP window size: 85.3 KByte (default)
> ------------------------------------------------------------
> [  4] local 192.168.1.10 port 5001 connected with 192.168.1.232 port 38169
> [ ID] Interval       Transfer     Bandwidth
> [  4]  0.0-10.0 sec   112 MBytes  94.1 Mbits/sec
> 
> That's great ! with this patchset, we can now run a server with a
> vanilla kernel ( who needs more that a serial port and ethernet,
> really ? ;) )
> 
> Tested-by: Richard Genoud <[email-masked]>

Thanks for testing this.

Did you look at the load while iperf was running? I guess we can expect
it to be pretty high since it runs without DMA.

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com